define(["require", "exports", "jquery"], (function (require, exports, jQuery) {
    "use strict";
    class accessKeysEvents {
        constructor() {
            jQuery(document).keydown(function(event) {
                if(event.ctrlKey) {
                    var shortcut = 'ctrl_' + event.keyCode;
                    if(top.TYPO3.settings.AccessKeys[shortcut]) {
                        accessKeysEvents.keyEvent(top.TYPO3.settings.AccessKeys[shortcut]);
                        event.stopPropagation();
                        return false;
                    }
                }
            });
        }
        static keyEvent(event) {
            if(event === 'focus_live_search') {
                if(window.self !== window.top) {
                    jQuery('#live-search-box', window.top.document).focus();
                }
                else {
                    jQuery('#live-search-box').focus();
                }
            }
            if(event === 'focus_save_button') {
                if(window.self !== window.top) {
                    jQuery('button[name=\'_savedok\']').focus();
                }
                else {
                    jQuery('button[name=\'_savedok\']', top.list_frame.document).focus();
                }
            }
            if(event === 'open_module_dashboard') {
                if(window.self !== window.top) {
                    jQuery('button#dashboard', window.top.document).click();
                }
                else {
                    jQuery('button#dashboard').click();
                }
            }
        }
    }
    return new accessKeysEvents
}));
